<?php
$tipo='sensorxcamara';
// $tipo='lecturas';
$tipo='modilecturas';

switch ($tipo) {
case 'modilecturas':
	for ($i=1;$i<=250;$i++) {
		echo "UPDATE [MOTORLECTURAS]
		   SET [LecturaValor] = ".rand(50,400)."
		 WHERE [LecturaDirModulo] =$i
		 and [lecturadirtipo]=1;
		<br>";
	}
	break;
case 'lecturas':
	echo "delete from [MOTORLECTURAS];<br>";
	for ($i=1;$i<=250;$i++) {
	echo "INSERT INTO [MOTORLECTURAS]
	           ([LecturaDirModulo]
	           ,[lecturadirtipo]
	           ,[LecturaValor]
	           ,[LecturaError],LecturaSalto)
	     VALUES
	           ($i
	           ,1
	           ,".rand(50,400)."
	           ,0,1);<br>";

	}
	break;
case 'sensorxcamara':
	$camara=0;
	$contador=0;
	$arr_camara=array(1,2,4,5,6);
	echo "delete from [pf_sensorxcamara];<br>";
	for ($i=1;$i<=250;$i++) {
	$contador++;
	if ($contador>50) {
		$camara++;
		$contador=1;
	}
	echo "INSERT INTO [pf_sensorxcamara]
	           ([LecturaDirModulo]
	           ,[LecturaDirTipo]
	           ,[id_camara]
	           ,[id_status]
	           ,[Nombre_modulo])
	     VALUES
	           ($i
	           ,1
	           ,".$arr_camara[$camara]."
	           ,'V'
	           ,'SENSOR $contador');<br>
	";		
	}			 
	break;
}

?>